DRM_ADD_MODES_NOEDID(9)

NAME
drm_add_modes_noedid - add modes for the connectors without EDID

SYNOPSIS

int drm_add_modes_noedid(struct drm_connector * connector, int hdisplay, int vdisplay);

ARGUMENTS

connector
    connector we're probing

hdisplay
    the horizontal display limit

vdisplay
    the vertical display limit

DESCRIPTION

Add the specified modes to the connector's mode list. Only when the hdisplay/vdisplay is not beyond the given limit, it will be added.

RETURN

The number of modes added or 0 if we couldn't find any.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT